using System.Collections.Generic;
using NBF;

namespace cfg
{
    public partial class Goods 
    {
        private List<AwardData> _awards;

        public List<AwardData> Awards
        {
            get
            {
                if (_awards == null)
                {
                    _awards = new List<AwardData>();
                    foreach (var item in Items)
                    {
                        _awards.Add(new AwardData(item.ToString()));
                    }
                }

                return _awards;
            }
        }
    }
}